#!/usr/bin/env node
'use strict';

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _release = require('./release');

var _release2 = _interopRequireDefault(_release);

var _package = require('../package.json');

var _package2 = _interopRequireDefault(_package);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var args = _yargs2.default.argv;

if (args.h || args.help) {
  console.log('YAG v' + _package2.default.version + '\n\n' + _chalk2.default.bold('Usage') + '\n  $ yag [<' + _chalk2.default.yellow('type') + '>] [' + _chalk2.default.green('options...') + ']\n\n' + _chalk2.default.bold('Types') + '\n  ' + _chalk2.default.yellow('major') + '     Increments the major component (' + _chalk2.default.cyan(1) + '.x.y -> ' + _chalk2.default.cyan(2) + '.0.0)\n  ' + _chalk2.default.yellow('minor') + '     Increments the minor component (x.' + _chalk2.default.cyan(1) + '.y -> x.' + _chalk2.default.cyan(2) + '.0)\n  ' + _chalk2.default.yellow('patch') + '     Increments the minor component (x.y.' + _chalk2.default.cyan(1) + ' -> x.y.' + _chalk2.default.cyan(2) + ')\n  ' + _chalk2.default.yellow('pre') + '       Increments the pre-release component (x.y.z-' + _chalk2.default.cyan('beta.1') + ' -> x.y.z-' + _chalk2.default.cyan('beta.2') + ')\n  ' + _chalk2.default.yellow('promote') + '   Removes the pre-release component (x.y.z' + _chalk2.default.cyan('-beta') + ' -> x.y.z)\n\n' + _chalk2.default.bold('Options') + '\n  -' + _chalk2.default.green('h') + ' --' + _chalk2.default.green('help') + '     Show this screen\n  -' + _chalk2.default.green('v') + ' --' + _chalk2.default.green('version') + '  Show version\n  -' + _chalk2.default.green('s') + ' --' + _chalk2.default.green('stable') + '   Bump directly to stable version, skipping pre-release\n  -' + _chalk2.default.green('t') + ' --' + _chalk2.default.green('tag') + '      The pre-release tag name (default: beta)\n  -' + _chalk2.default.green('y') + '            Do not ask for confirmation at each step\n\n');
} else if (args.v || args.version) {
  console.log('YAG v' + _package2.default.version + '\n');
}

(0, _release2.default)(args._[0], {
  stable: args.s || args.stable,
  tag: args.t || args.tag,
  unattended: args.y
});